Система управления контентом SantaFox

Работа с SantaFox => Инсталляция => Тема начата: lexxus от 23 Сентябрь 2016, 09:10:47

Название: Ошибка при инсталле
Отправлено: lexxus от 23 Сентябрь 2016, 09:10:47
Доброго времени суток !
После установки выдается ошибка:
Warning: mysql_fetch_assoc() expects parameter 1 to be resource, boolean given in /var/www/ХХХ.ru/include/kernel.class.php on line 3482 Warning: mysql_free_result() expects parameter 1 to be resource, boolean given in /var/www/ХХХ.ru/include/kernel.class.php on line 3484
Как победить ? php 5.3
Название: Re: Ошибка при инсталле
Отправлено: Shturman от 23 Сентябрь 2016, 11:54:07
а версия какая? последняя с сайта?
Название: Re: Ошибка при инсталле
Отправлено: lexxus от 23 Сентябрь 2016, 19:36:04
Да. Пытался ставить установщиком и дистрибутивом. В обоих случаях эта ошибка.
Название: Re: Ошибка при инсталле
Отправлено: lexxus от 24 Сентябрь 2016, 11:55:41
Да. Пытался ставить установщиком и дистрибутивом. В обоих случаях эта ошибка.
еще ошибка на главной странице:
Notice: Undefined index: tor in /var/www/ХХХ.ru/include/security.class.php on line 252
Notice: Undefined index: in /var/www/ХХХ.ru/include/security.class.php on line 252
Название: Re: Ошибка при инсталле
Отправлено: Oslix от 25 Сентябрь 2016, 18:41:25
Думаю, что не создались таблицы куска, который отвечает за безопасность.
Напишите Rrinat (в личке) - он поможет.
Название: Re: Ошибка при инсталле
Отправлено: lexxus от 29 Сентябрь 2016, 11:07:06
Думаю, что не создались таблицы куска, который отвечает за безопасность.
Да, спасибо, пришлось немного поколдовать.
Установил сначала бету (с ошибками), но БД корректно встала, потом накатил версию 3.11 (файловую структуру), а уже сверху 3.13, всё заработал.
Название: Re: Ошибка при инсталле
Отправлено: Shturman от 04 Октябрь 2016, 00:37:44
Судя по постам в других частях заработало не очень :)
Название: Re: Ошибка при инсталле
Отправлено: keyzer от 31 Март 2017, 11:59:01
Установил санту 3.15. Появились такие ошибки:
INFO: Non-static method frontoffice_manager::compare_priority() cannot be called statically, assuming $this from compatible context frontoffice_manager in /home/.../ХХХ.ru/www/include/frontoffice_manager.class.php on line 346
INFO: Non-static method frontoffice_manager::compare_priority() cannot be called statically, assuming $this from compatible context frontoffice_manager in /home/.../ХХХ.ru/www/include/frontoffice_manager.class.php on line 346
Кто знает в чем проблема?
Название: Re: Ошибка при инсталле
Отправлено: W.D.M.Group от 03 Июнь 2017, 17:13:13
Установил санту 3.15. Появились такие ошибки:
INFO: Non-static method frontoffice_manager::compare_priority() cannot be called statically, assuming $this from compatible context frontoffice_manager in /home/.../ХХХ.ru/www/include/frontoffice_manager.class.php on line 346
INFO: Non-static method frontoffice_manager::compare_priority() cannot be called statically, assuming $this from compatible context frontoffice_manager in /home/.../ХХХ.ru/www/include/frontoffice_manager.class.php on line 346
Кто знает в чем проблема?

Версия PHP ?
Название: Re: Ошибка при инсталле
Отправлено: ivo666 от 08 Июнь 2017, 11:30:46
Мы перенесли 2 своих сайта на версию 3.15 - и через несколько дней начались ошибки работы в админке. Что-то очень сильно глючит, а что, не понимаем.
Название: Re: Ошибка при инсталле
Отправлено: allmight от 03 Октябрь 2017, 19:44:03
Установил санту 3.15. Появились такие ошибки:
INFO: Non-static method frontoffice_manager::compare_priority() cannot be called statically, assuming $this from compatible context frontoffice_manager in /home/.../ХХХ.ru/www/include/frontoffice_manager.class.php on line 346
INFO: Non-static method frontoffice_manager::compare_priority() cannot be called statically, assuming $this from compatible context frontoffice_manager in /home/.../ХХХ.ru/www/include/frontoffice_manager.class.php on line 346
Кто знает в чем проблема?

Версия PHP ?


Коллеги, получилось найти решение? У меня тоже самое...
Название: Re: Ошибка при инсталле
Отправлено: arteshuk от 04 Октябрь 2017, 17:51:14
346-ю строку приведите к виду

uasort($array_link, array($this, "compare_priority"));
Название: Re: Ошибка при инсталле
Отправлено: DET от 02 Декабрь 2017, 14:25:47
Скачать CMS 3.17 https://bitbucket.org/Oslix/santafox-cms/downloads/santa3.17.zip Установить не удалось .
Ошибка \include\cache\memcache.php on line 3 
<?php

class Memcache {
  private $expire;
  private $cache;